Package org.eclipse.emf.cdo.common.util

# Interface CDORenameContext

All Known Subinterfaces:
  `CDORenameContext.WithElement`

public interface CDORenameContext
Represents the context of a rename operation as implemented by `RenameDialog` or `RenameHandler`.

Since:
  4.4
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDORenameContext.WithElement`
A `rename context` that provides access to the `element` to be renamed.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getType()`
`void`
`setName(String name)`
`String`
`validateName(String name)`

## Method Details

### getType

String getType()

### getName

String getName()

### setName

void setName(String name)

### validateName

String validateName(String name)